cURL / Mailing Lists / curl-library / Single Mail


Re: Fwd: Bug#442338: FTBFS: error: 'CURLE_FTP_USER_PASSWORD_INCORRECT' was not declared in this scope

From: Domenico Andreoli <>
Date: Mon, 17 Sep 2007 01:58:45 +0200

severity 442338 normal

On Sat, Sep 15, 2007 at 10:16:49PM +0200, Daniel Stenberg wrote:
> On Sat, 15 Sep 2007, Domenico Andreoli wrote:
>> curl 7.17.0 breaks the build of Rene has already found the
>> cause, it is described below.
> Eh, no. curl 7.17.0 does *not* break this as you will see below.

better :)

>> Is it only a formal error by the curl side or requires to
>> be upgraded to the new API?
> The error code CURLE_FTP_USER_PASSWORD_INCORRECT has been moved to the list
> of codes that will be removed in the future, and thus it isn't present if
> you define CURL_NO_OLDIES when you build.
> So if you want backwards-compatible style you *don't* define CURL_NO_OLDIES
> and you can use that define fine still. If you define it, you should be
> prepared to edit some of the codes to the up-to-date versions.

so I do not need to do anything.. great! ;)

hmm.. no, I should really change this bug severity.

Thank Daniel for the fast response! You always are my best upstream developer.


-----[ Domenico Andreoli, aka cavok
   ---[ 3A0F 2F80 F79C 678A 8936 4FEE 0677 9033 A20E BC50
Received on 2007-09-17